//
// Fragment shader for doing "fat" blur 
//
// Author: Jeff Brown
//
//


#version 330

uniform sampler2DRect inputTex;
uniform float blurAmount;
uniform float uPass;

in vec2 fsTexCoords[15];
out vec4 outColor;

void main()
{
    outColor = vec4(0.0);
    
    outColor += texture(inputTex, fsTexCoords[ 0]);
    outColor += texture(inputTex, fsTexCoords[ 1]);
    outColor += texture(inputTex, fsTexCoords[ 2]);
    outColor += texture(inputTex, fsTexCoords[ 3]);
    outColor += texture(inputTex, fsTexCoords[ 4]);
    outColor += texture(inputTex, fsTexCoords[ 5]);
    outColor += texture(inputTex, fsTexCoords[ 6]);
    outColor += texture(inputTex, fsTexCoords[14]);
    outColor += texture(inputTex, fsTexCoords[ 7]);
    outColor += texture(inputTex, fsTexCoords[ 8]);
    outColor += texture(inputTex, fsTexCoords[ 9]);
    outColor += texture(inputTex, fsTexCoords[10]);
    outColor += texture(inputTex, fsTexCoords[11]);
    outColor += texture(inputTex, fsTexCoords[12]);
    outColor += texture(inputTex, fsTexCoords[13]);

    outColor*=vec4(1.0/15.0,1.0/15.0,1.0/15.0,1.0/15.0);
}
